{% load get_domain %}

<div class="modal fade" id="harbor-instructions-modal-{{ application.identifier }}" tabindex="-1" aria-labelledby="harbor-instructions-label" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h1 class="modal-title fs-5" id="harbor-instructions-label">How to push images to your image registry</h1>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <p>To push an image to your registry <strong>({{ application.harborproject.project_name }})</strong>, please do the followings:</p>
        <ol>
          <li>Log in to your image registry using the following command:</li>
                    <pre class="bg-light p-2 mb-0"><code>docker login {{ harbor_url|get_domain }} -u &#39;{{ application.harborproject.username }}&#39;<br>Password: Type your password</code></pre>
          <div class="d-flex flex-row gap-2 my-2">
            <label>Your password:</label>
            <span class="password-display">
              <div class="password">****************</div>
              <pre class="text d-none"><code>{{ application.harborproject.password }}</code></pre>
              <div class="show-btn">Show</div>
            </span>
          </div>
          <li>Tag your image with the registry URL and the image name:</li>
                    <pre class="bg-light p-2"><code>docker tag &lt;image&gt; {{ harbor_url|get_domain }}/{{ application.harborproject.project_name }}/&lt;image&gt;</code></pre>
          <li>Push the image to your registry:</li>
                    <pre class="bg-light p-2"><code>docker push {{ harbor_url|get_domain }}/{{ application.harborproject.project_name }}/&lt;image&gt;</code></pre>
        </ol>
        <h5 class="mt-3">What is an image registry?</h5>
        <p>An image registry is like a private registry for your container images. You have to authenticate to push images to your image registry. In addition, once an image is pushed, it is scanned for vulnerabilities to ensure that only secure images get pushed to the registry.</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" data-bs-dismiss="modal">Understood</button>
      </div>
    </div>
  </div>
</div>
